# ISOPAK - sort the ms files for SparsePak along rough
# iso-velocity bins
#
# Uses images.imutil.imstack
#
# Modification History
# DRA Mar 04 2002 basic script
# MAB Mar 05 2002 mod for lists

procedure isopak (inmslst, outmslst)

string inmslst		{ prompt = "Input ms file list" }
string outmslst		{ prompt = "Output ms file list" }

bool verbose = yes	{ prompt = "Report progress" }

struct *mylist1
struct *mylist2

begin

   int ii
   string iml, ims, oml, oms, sortlst

   sortlst = mktemp ( "IpKs" )  	
   iml =  mktemp ( "IpKi" )  	
   oml =  mktemp ( "IpKo" )  	
   delete ( sortlst, verify-, go_ahead+, allversions+, subfiles+,  >& "dev$null" )
   delete ( iml, verify-, go_ahead+, allversions+, subfiles+,  >& "dev$null" )
   delete ( oml, verify-, go_ahead+, allversions+, subfiles+,  >& "dev$null" )

   sections ( inmslst, option="fullname", > iml )
   sections ( outmslst, option="fullname", > oml )

   mylist1 = iml
   mylist2 = oml

   while ( fscan ( mylist1, ims ) != EOF ) {

	ii = fscan ( mylist2, oms )

	if ( verbose ) print ( "  > Reformatting ", ims, " into ", oms )

# sky lines

	print(ims//"[*,2]", > sortlst)
   	print(ims//"[*,16]", >> sortlst)
   	print(ims//"[*,22]", >> sortlst)
   	print(ims//"[*,37]", >> sortlst)
   	print(ims//"[*,54]", >> sortlst)
   	print(ims//"[*,70]", >> sortlst)
   	print(ims//"[*,80]", >> sortlst)

	print(ims//"[*,53]", >> sortlst)
	print(ims//"[*,29]", >> sortlst)
        print(ims//"[*,50]", >> sortlst)
        print(ims//"[*,32]", >> sortlst)
        print(ims//"[*,49]", >> sortlst)
        print(ims//"[*,79]", >> sortlst)
 	print(ims//"[*,35]", >> sortlst)
	print(ims//"[*,69]", >> sortlst)
	print(ims//"[*,34]", >> sortlst)
	print(ims//"[*,67]", >> sortlst)
	print(ims//"[*,33]", >> sortlst)
	print(ims//"[*,71]", >> sortlst)
	print(ims//"[*,48]", >> sortlst)
	print(ims//"[*,12]", >> sortlst)
	print(ims//"[*,72]", >> sortlst)
	print(ims//"[*,11]", >> sortlst)
	print(ims//"[*,81]", >> sortlst)
	print(ims//"[*,30]", >> sortlst)
	print(ims//"[*,68]", >> sortlst)
	print(ims//"[*,25]", >> sortlst)
	print(ims//"[*,51]", >> sortlst)
	print(ims//"[*,10]", >> sortlst)
	print(ims//"[*,78]", >> sortlst)
	print(ims//"[*,14]", >> sortlst)
	print(ims//"[*,77]", >> sortlst)
	print(ims//"[*,24]", >> sortlst)
	print(ims//"[*,64]", >> sortlst)
	print(ims//"[*,31]", >> sortlst)
	print(ims//"[*,15]", >> sortlst)
	print(ims//"[*,61]", >> sortlst)
	print(ims//"[*,46]", >> sortlst)
	print(ims//"[*,66]", >> sortlst)
	print(ims//"[*,13]", >> sortlst)
	print(ims//"[*,74]", >> sortlst)
	print(ims//"[*,8]", >> sortlst)
	print(ims//"[*,28]", >> sortlst)
	print(ims//"[*,1]", >> sortlst)

# center fiber

	print(ims//"[*,52]", >> sortlst)

	print(ims//"[*,45]", >> sortlst)
	print(ims//"[*,82]", >> sortlst)
	print(ims//"[*,73]", >> sortlst)
	print(ims//"[*,9]", >> sortlst)
	print(ims//"[*,76]", >> sortlst)
	print(ims//"[*,26]", >> sortlst)
	print(ims//"[*,43]", >> sortlst)
	print(ims//"[*,4]", >> sortlst)
	print(ims//"[*,65]", >> sortlst)
	print(ims//"[*,47]", >> sortlst)
	print(ims//"[*,23]", >> sortlst)
	print(ims//"[*,63]", >> sortlst)
	print(ims//"[*,5]", >> sortlst)
	print(ims//"[*,75]", >> sortlst)
	print(ims//"[*,3]", >> sortlst)
	print(ims//"[*,59]", >> sortlst)
	print(ims//"[*,41]", >> sortlst)
	print(ims//"[*,62]", >> sortlst)
	print(ims//"[*,27]", >> sortlst)
	print(ims//"[*,60]", >> sortlst)
	print(ims//"[*,7]", >> sortlst)
	print(ims//"[*,55]", >> sortlst)
	print(ims//"[*,6]", >> sortlst)
	print(ims//"[*,57]", >> sortlst)
	print(ims//"[*,44]", >> sortlst)
	print(ims//"[*,21]", >> sortlst)
	print(ims//"[*,56]", >> sortlst)
	print(ims//"[*,20]", >> sortlst)
	print(ims//"[*,58]", >> sortlst)
	print(ims//"[*,17]", >> sortlst)
	print(ims//"[*,36]", >> sortlst)
	print(ims//"[*,42]", >> sortlst)
	print(ims//"[*,18]", >> sortlst)
	print(ims//"[*,40]", >> sortlst)
	print(ims//"[*,19]", >> sortlst)
	print(ims//"[*,39]", >> sortlst)
	print(ims//"[*,38]", >> sortlst)

        imstack("@"//sortlst,oms)

        delete ( sortlst, verify-, go_ahead+, allversions+, subfiles+,
	         >& "dev$null" )

   }
   delete ( iml, verify-, go_ahead+, allversions+, subfiles+,  >& "dev$null" )
   delete ( oml, verify-, go_ahead+, allversions+, subfiles+,  >& "dev$null" )

end

